summaryrefslogtreecommitdiff
path: root/dev-ruby/stringio/stringio-3.1.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-28 19:44:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-28 19:44:54 +0000
commit7f35cc3c0625a70e82144cd5829347bf8e43f01c (patch)
treec0f6b238fef33403c284c30492359f94464f1c77 /dev-ruby/stringio/stringio-3.1.0.ebuild
parenta9c5befdde995e342771d959f3475d787ccfb0eb (diff)
downloadsrcux-7f35cc3c0625a70e82144cd5829347bf8e43f01c.tar.gz
srcux-7f35cc3c0625a70e82144cd5829347bf8e43f01c.tar.xz
srcux-7f35cc3c0625a70e82144cd5829347bf8e43f01c.zip
Adding metadata
Diffstat (limited to 'dev-ruby/stringio/stringio-3.1.0.ebuild')
-rw-r--r--dev-ruby/stringio/stringio-3.1.0.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/stringio/stringio-3.1.0.ebuild b/dev-ruby/stringio/stringio-3.1.0.ebuild
new file mode 100644
index 000000000000..e9ef6cc8a7cf
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String."
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}